
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Servlet实现对SQLServer数据库的增删改查（含工程源码） / iVAN</title>

    <meta name="description" content="Servlet实现对SQLServer数据库的增删改查（含工程源码） 本文实现了用MyEclipse,编写Servlet,实现对SQLServer数据库的增删改查,适合新手入门,文末提供工程文件源码下载. 1.新建数据库test以及表users 表users共四列(id,name,psd,tel) 具体操作步骤见上篇博文.具体操作步骤 2.新建工程Web Project工程0623p 3. 编辑WebRoot目录下的index.jsp 创建表单(序号.账号.密码.电话.操作),并读取当前数据库内容. 注意: 此处要导入sql_data.java包用于连接数据库(">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Servlet实现对SQLServer数据库的增删改查（含工程源码）</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<pre><code>本文实现了用MyEclipse，编写Servlet，实现对SQLServer数据库的增删改查，适合新手入门，文末提供工程文件源码下载。
</code></pre>
<h2>1.新建数据库test以及表users</h2>
<p>表users共四列（id，name，psd，tel） <br />
具体操作步骤见上篇博文。<a href="http://blog.csdn.net/u010887744/article/details/46584277" rel="external nofollow noreferrer">具体操作步骤</a></p>
<h2>2.新建工程Web Project工程0623p</h2>
<h2>3. 编辑WebRoot目录下的index.jsp</h2>
<pre><code>创建表单（序号、账号、密码、电话、操作），并读取当前数据库内容。
</code></pre>
<p>注意： <br />
此处要<strong>导入sql_data.java</strong>包用于连接数据库（在src目录下新建edu.hwadee.pro.bean包，将sql_data.java复制到此包下即可）， <br /><code>&lt;jsp:useBean id="db" class="edu.hwadee.pro.bean.sql_data" /&gt;</code>//id是给bean取个别名，class表示调用的类。 <br />
   以及<strong>导入java.sql.<em>，</em></strong>不然会报错哦。<code>import="java.sql.*"* <br /></code>  将修改、删除、添加用户的链接也一并写好。 <br />
代码如下</p>
<pre><code>&lt;%@ page language="java" import="java.util.*" pageEncoding="UTF-8" import="java.sql.*"%&gt;
&lt;jsp:useBean id="db" class="edu.hwadee.pro.bean.sql_data" /&gt;
&lt;%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%&gt;

&lt;!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"&gt;
&lt;html&gt;
  &lt;head&gt;
    &lt;base href="&lt;%=basePath%&gt;"&gt;

    &lt;title&gt;My JSP 'index.jsp' starting page&lt;/title&gt;
    &lt;meta http-equiv="pragma" content="no-cache"&gt;
    &lt;meta http-equiv="cache-control" content="no-cache"&gt;
    &lt;meta http-equiv="expires" content="0"&gt;
    &lt;meta http-equiv="keywords" content="keyword1,keyword2,keyword3"&gt;
    &lt;meta http-equiv="description" content="This is my page"&gt;
    &lt;!--
    &lt;link rel="stylesheet" type="text/css" href="styles.css"&gt;
    --&gt;
  &lt;/head&gt;
  &lt;body&gt;
        我的首页 &lt;br&gt;
        &lt;table border=1&gt;
        &lt;tr&gt;
            &lt;td&gt;序号&lt;/td&gt;
            &lt;td&gt;账号&lt;/td&gt;
            &lt;td&gt;密码&lt;/td&gt;
            &lt;td&gt;电话&lt;/td&gt;
            &lt;td&gt;操作&lt;/td&gt;
        &lt;/tr&gt;
        &lt;%
                String sql = "select * from users";
                ResultSet rs = null;

                rs = db.executeQuery(sql);  //查询数据库,
                //executeQuery()方法会把数据库响应的查询结果存放在ResultSet类对象中供我们使用
                while (rs.next()) { //rs 游标下移，rs.next()返回一个布尔值，为true,则数据表中有记录。
                //next()可以遍历全部数据。
                    String aa = rs.getString(1); //取出第一个字段的数据
                    String bb = rs.getString(2);
                    String cc = rs.getString(3);
                    String dd = rs.getString(4);
                    out.print("&lt;tr&gt;&lt;td&gt;" + aa + "&lt;/td&gt;&lt;td&gt;" + bb + "&lt;/td&gt;&lt;td&gt;" + cc
                            + "&lt;/td&gt;&lt;td&gt;" + dd
                            + "&lt;/td&gt;&lt;td&gt;&lt;a href='servlet/delServlet?id="+aa+"'&gt;删除&lt;/a&gt;、&lt;a href='update.jsp?xh=" + aa + "&amp;&amp;mz="
                            + bb + "&amp;&amp;mm=" + cc + "&amp;&amp;dh=" + dd
                            + "'&gt;修改&lt;/a&gt;&lt;/td&gt;&lt;/tr&gt;");
                }
            %&gt;
        &lt;/table&gt;&lt;br&gt;
        &lt;a href="add.jsp"&gt;添加用户&lt;/a&gt;
  &lt;/body&gt;
&lt;/html&gt;
</code></pre>
<p>启动tomcat服务，将工程发布检测一下（具体步奏见<a href="http://blog.csdn.net/u010887744/article/details/46584277" rel="external nofollow noreferrer">上篇博文</a>），效果如图 <br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjQxNDE3NTY3ODU=.jpg"></p>
<p>但此时不用去点击删除修改添加这些，因为实现代码还没写好。</p>
<h2>4.在src目录下新建edu.hwadee.pro.control包</h2>
<p>用于存放增删改查的Servlet程序文件。 <br />
在此包下新建Servlet，取名<strong>updateServlet</strong>，用于修改数据库。 <br />
修改doPost（）函数，记得导入import edu.hwadee.pro.bean.sql_data包哦，其部分源码如下：</p>
<pre><code>public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        String aa = null, bb = null, cc = null, dd = null;
        aa = request.getParameter("id");      //接收表单传来的四个数据
        bb = request.getParameter("name");
        cc = request.getParameter("psd");
        dd = request.getParameter("tel");
        String sql = "update users set name='" + bb + "',psd='" + cc
                + "',tel='" + dd + "'where id='" + aa + "'";  //条件修改语句的定义

        sql_data db = new sql_data();
        db.executeUpdate(sql);  //修改执行
        response.sendRedirect("../index.jsp");
    }</code></pre>
<h2>5.在WebRoot目录下新建JSP文件update.jsp</h2>
<pre><code>用于创建表单，填写要修改的数据库内容。
</code></pre>
<p>源码如下：</p>
<pre><code>&lt;%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%&gt;
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=UTF-8"&gt;
&lt;title&gt;Insert title here&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;%
    String aa=null,bb=null,cc=null,dd=null;
    aa=request.getParameter("xh");
    bb=request.getParameter("mz");
    cc=request.getParameter("mm");
    dd=request.getParameter("dh");
 %&gt;
 &lt;form action="servlet/updateServlet" method="post"&gt;&lt;%--action调用位置可查看web.xml--%&gt;
    序号&lt;input name="id" type="hidden" value="&lt;%=aa%&gt;"&gt;&lt;%=aa%&gt;&lt;br/&gt;&lt;%--将id隐藏，防止用户修改，第二个aa则是将其显示给用户 --%&gt;
    账号&lt;input name="name" value="&lt;%=bb%&gt;"&gt;&lt;br/&gt;
    密码&lt;input name="psd" value="&lt;%=cc%&gt;"&gt;&lt;br/&gt;
    电话&lt;input name="tel" value="&lt;%=dd%&gt;"&gt;&lt;br/&gt;
    &lt;input name="sub" type="submit" value="修改"&gt;&lt;br/&gt;
 &lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</code></pre>
<p>发布一下工程，打开index.jsp页面，点击修改，欧耶，是不是能够修改数据内容了呢！！</p>
<h2>6.同理，创建addServlet.java和delServlet.java</h2>
<p>在edu.hwadee.pro.control目录下再新建两个Servlet，分别是addServlet.java和delServlet.java，并修改其代码，addServlet.java修改doPost（）函数，delServlet.java修改doGet（）函数，注意要导入import edu.hwadee.pro.bean.sql_data包哦。 <br /><strong>addServlet.java部分源码如下：</strong></p>
<pre><code>public void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        String bb = null, cc = null, dd = null;
        // aa = request.getParameter("id"); //接收表单传来的三个数据
        bb = request.getParameter("name");
        cc = request.getParameter("psd");
        dd = request.getParameter("tel");
        String sql = "insert into users(name,psd,tel) values('" + bb + "','"
                + cc + "','" + dd + "')"; // 条件修改语句的定义

        sql_data db = new sql_data();
        db.executeInsert(sql); // 添加执行
        response.sendRedirect("../index.jsp");
    }</code></pre>
<p>delServlet.java 部分源码如下：</p>
<pre><code>public void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {

        String id = request.getParameter("id");
           String sql = "delete from users where id='"+id+"'";
           sql_data db = new sql_data();
            db.executeDelete(sql); // 删除执行
            response.sendRedirect("../index.jsp");
    }</code></pre>
<h2>7. 在WebRoot目录下新建JSP文件add.jsp</h2>
<p>用于创建表单，填写要增加的数据库内容。删除数据库内容不需要填写数据，所以就不用写个del.jsp了。 <br />
源码如下：</p>
<pre><code>&lt;%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%&gt;
&lt;!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"&gt;
&lt;html&gt;
&lt;head&gt;
&lt;meta http-equiv="Content-Type" content="text/html; charset=UTF-8"&gt;
&lt;title&gt;Insert title here&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;
&lt;form action="servlet/addServlet" method="post"&gt;
    账号&lt;input name="name" &gt;&lt;br&gt;
    密码&lt;input name="psd" &gt;&lt;br&gt;
    电话&lt;input name="tel" &gt;&lt;br&gt;
    &lt;input name="sub" type="submit" value="添加"&gt;&lt;br&gt;
&lt;/form&gt;
&lt;/body&gt;
&lt;/html&gt;</code></pre>
<h2>8. 发布一下工程</h2>
<p>打开index.jsp页面，修改、删除、增加用户！！！是不是所有功能都实现了呢，棒棒哒！</p>
<h2>9. 工程目录</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjQxNDIyMjE5MDU=.jpg"></p>
<hr>
<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA2MjQxNDIyNDE5NTQ=.jpg"></p>
<h2>10. 如果报错</h2>
<p>尝试一下方法： <br />
   检查一下是否将sqljdbc4.jar复制到 <br />
MyEclipse8.5\Common\binary\com.sun.java.jdk.win32.x86_1.6.0.013\jre\lib\ext下 <br />
   重新发布工程，重启tomcat服务，并重启MyEclipse。</p>
<h2>11. 工程源码下载</h2>
<p><a href="http://download.csdn.net/detail/u010887744/8834443" rel="external nofollow noreferrer">点击此处下载</a> <br />
本文中用到的软件、工具下载地址可从<a href="http://blog.csdn.net/u010887744/article/details/46584277" rel="external nofollow noreferrer">上篇博文</a>寻找。</p>
<p>转载请注明出处，谢谢。博客地址<a href="http://blog.csdn.net/u010887744" rel="external nofollow noreferrer">http://blog.csdn.net/u010887744</a> 。 <br />
如有任何问题，欢迎留言。祝君好运！ <br />
Life is all about choices！  <br />
将来的你一定会感激现在拼命的自己！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:18:00</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Servlet实现对SQLServer数据库的增删改查（含工程源码）的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvn4Q5M.html" rel="bookmark">aspnet-asp&period;net实现对xmldtd文件的增删改</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 asp.net实现对xmldtd文件的增删改 为什么我在后台代码中引用的时候说我实体没法用?还有就是怎么把xml的dtd的内容和第一行也显示出来呢???求助!!!非常感谢!!!1 xml文件如下: &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;!DOCTYPE classlist [ &lt;!ELEMENT classlist (class*)&gt; &lt;!ELEMENT class (class			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKrBmz.html" rel="bookmark">js 如何实现对数据库的增删改查&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript操作数据库JS操作Access数据库,跟其他语言操作差不多,总结了一下习惯代码,仅供参考学习. 现在在F盘有文件abc.mdf,表名为Student,一共2个字段,Id数字类型主键,stuName文本类型,现对该表进行增删改查的操作: 1.查询 复制代码 代码如下: &lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;数据查询&lt;/TITLE&gt; &lt;Script &gt; var conn = new ActiveXObject(&quot;AD			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBKwOAM.html" rel="bookmark">MySQL数据库学习笔记（十二）----开源工具DbUtils的使用（数据库的增删改查）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[正文] 这一周状态不太好,连续打了几天的点滴,所以博客中断了一个星期,现在继续. 我们在之前的几篇文章中学习了JDBC对数据库的增删改查.其实在实际开发中,一般都是使用第三方工具类,但是只有将之前的基础学习好了,在使用开源工具的时才能得心应手.如果对JDBC基础不太清楚,或者对本文看不太懂,建议先回顾一下本人之前的几篇和&quot;MySQL数据库学习笔记&quot;相关的文章.但是不管怎样,今后如果用到了数据库的增删改查,肯定是这篇文章中的代码用的最多. 一.DbUtils简介: DBUtils是ap			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6eDAM.html" rel="bookmark">JAVA访问数据库之增删改查&lpar;CRUD&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上一篇博客介绍了如何使用JAVA连接数据库,那么这一篇将继续为大家介绍如何使用JDBC对数据库的增删改查(CRUD)操作. 这一篇博客中的示例将使用上一篇中生成的H2数据库文件. 查询 查询在数据库的操作中是很重要的,我们把数据保存在数据库中,就是为了我们在需要的时候能够快速.高效的查询出来. /** * 查询 * * @throws Exception */ public void query() throws Exception { Connection conn = getConnecti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVB71b.html" rel="bookmark">急求一个Spring&plus;Hibernate对MySQL数据库进行增删改查的例子&excl;&excl;&excl;&excl;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 现急求一个Spring+Hibernate对MySQL数据库进行增删改查的例子,例子比较简单也可以,主要就是要对数据库进行增删改查操作.如果哪位有的话请发到邮箱(395897780@qq.com),或者告诉我网址也行!最好是能连工程一起打包下载的,能够运行的,由于刚刚开始学,想下个完整的下来,怎样便于分析!!!本人在这里先表示感谢!!!!! 解决方案 解决方案二:其实不用这样,你用工具做,其中的包就可以生成的,注意:Hibernate一定要托管给Spring:之后以前Hibernate			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myd69Eb.html" rel="bookmark">java-不用数据库实现增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 不用数据库实现增删改查 用java 代码实现 在内存中如何保存对象,修改对象的属性,删除一个对象 解决方案 保存对象:既然保存就是要存盘了,所以不可能只用内存,因为内存没有持久化.如果要保存对象到硬盘,可以用序列化(实现接口). 修改对象的属性:在有操作权限的情况下可以直接&quot;对象.属性&quot;修改,要是对象提供修改属性的方法也可以直接调用.如果又没访问权限,这--我猜是可行的. 删除对象:是回收对象所占的资源吧?java没有delete这种操作符,它是自动垃圾回收的,不同的虚拟机自			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ3ZG6b.html" rel="bookmark">&period;net链接另一台电脑的mysql数据库进行增删改查全过程&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 .net链接另一台电脑的mysql数据库进行增删改查全过程?求范例求源代码 解决方案 解决方案二:远程数据库连接!解决方案三:好办啊.传参数,改配置文件地址.解决方案四:引用1楼hou306010849的回复: 远程数据库连接! 改一下你原来的程序里面的数据库连接字符串就行了			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2ye5vz.html" rel="bookmark">php中PDO方式实现数据库的增删改查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  PDO是mysql数据库操作的一个公用类了,我们不需要进行自定类就可以直接使用pdo来操作数据库了,但是在php默认配置中pdo是未开启所以我们必须先在php.ini中开启它才可以使用. 需要开启php的pdo支持,php5.1以上版本支持 实现数据库连接单例化,有三要素 静态变量.静态实例化方法.私有构造函数 DPDO.php ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYjBGVp.html" rel="bookmark">MySQL数据库学习笔记（十一）----DAO设计模式实现数据库的增删改查（进一步封装JDBC工具类）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[正文] 一.DAO模式简介 DAO即Data Access Object,数据访问接口.数据访问:故名思义就是与数据库打交道.夹在业务逻辑与数据库资源中间. DAO模式实际上是两个模式的组合,即Data Accessor (数据访问者)模式和 Active Domain Object(领域对象)模式.Data Accessor 模式实现了数据访问和业务逻辑的分离:Active Domain Object 模式实现了业务数据的对象化封装. 需要注意的是,DAO设计模式是Java EE中的设计模式			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyw2lz.html" rel="bookmark" class="title">jdk1&period;6环境搭建netbeans的中文乱码</a>
					<div>
						中文|中文乱码 增加支持库联接cd /usr/binln -sf /opt/jdk1.6.0/bin/javacln -sf /opt/jdk1.6.0/jre/bin/java 修改.bashrce ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkGEyp.html" rel="bookmark" class="title">hashmap-ListView 里面嵌套了一层ListView 如何写实体类呢</a>
					<div>
						问题描述 ListView 里面嵌套了一层ListView 如何写实体类呢 左边的是别人用HashMap写的 右边是我想换成封装成实体类的时候 提示不能获取id 请问如何获取呢					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZXeOM.html" rel="bookmark" class="title">在FLASH里做字做圆型轨迹运动</a>
					<div>
						轨迹 1:随便新建个场景 在场景里随便写个字 我这里写的是 1 2:单击键盘 Q 或者工具里的 任意变形工具 3:把中心点拖到下面的位置(是以中心点的位置做运动) 4:CTRL+T 叫出 变形工具 5 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyVYEp.html" rel="bookmark" class="title">自写myLoadMovie类弥补loadMovie方法的弊病</a>
					<div>
						loadMovie方法的弊病就是不能在语句后面直接对导入Movie的MC的属性进行设置,下面提供了一个实用的方法.类文件如下: import mx.events.EventDispatcher; cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK3V4p.html" rel="bookmark" class="title">如何获取SQL执行计划</a>
					<div>
						*********************************************************** ----1:获取&quot;刚刚&quot;的执行计划display_curso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO5vkM.html" rel="bookmark" class="title">3DSMAX造型设计之福娃杯蒸汽特效</a>
					<div>
						先看一下最终效果: 图:最终效果 一.绘制一个杯子 1.启动3dmax9.0,单击&quot;创建&quot;命令面板,点击&quot;图形&quot;按钮进入其创建面板,单击&quot;线&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPBRPM.html" rel="bookmark" class="title">PS外挂滤镜给美女磨皮并加上假睫毛照片处理教程</a>
					<div>
						今天要介绍修饰人像作品的几个技巧,但你一定会说,我懒的 修图 !这时就为大家献上懒人必备的Photoshop外挂磨皮软件: Imagenomic portraiture(点此下载) . 这时你又会说, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGLx7b.html" rel="bookmark" class="title">win7电脑右键菜单怎么添加&OpenCurlyDoubleQuote;注册dll&rdquo;和&OpenCurlyDoubleQuote;反注册&rdquo;</a>
					<div>
						  1.首先,咱们返回到win7旗舰版电脑的桌面位置,之后,咱们在桌面找到一个空白处,点击鼠标右键,选择新建-记事本文档. 2.之后,咱们双击打开这个新建的文档,将如下的代码复制进去: Windows ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1E0OxM.html" rel="bookmark" class="title">360rescue文件&sol;360SysRt文件&sol;360ld文件夹详解怎么删除</a>
					<div>
						  360rescue文件/360SysRt文件/360ld文件夹详解怎么删除! 360download:360软件管理下载软件的默认文件夹 360Rec是安装360杀毒时候自动生成的文件夹,用来保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWRYXp.html" rel="bookmark" class="title">jsf的文本输入框怎么屏蔽Firefox的表单记忆功能啊</a>
					<div>
						问题描述 最近小弟我做了一个像google搜索一样的文本输入弹出,可是在Firefox下,输入文本,它会记住我以住输入的内容,我怎么能不让Firefox记住啊. 问题补充:这行不能的,我的项目是要给客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Nrg1M.html" rel="bookmark" class="title">struts-在Myeclipse配置Struts，用tomcat测试一个index&period;jsp时出现问题</a>
					<div>
						问题描述 在Myeclipse配置Struts,用tomcat测试一个index.jsp时出现问题 本人新手,求助各位大牛~~~~~ HTTP Status 500 - cn.it.shop.acti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7N1Jz.html" rel="bookmark" class="title">app内购买项目-您已购买此APP内购买项目，账户的钱是否被扣了</a>
					<div>
						问题描述 您已购买此APP内购买项目,账户的钱是否被扣了 购买条件如下:沙盒测试,购买的是消耗品当连续点击2次购买后,创建2个购买对象.当这2个都选择付款后,会有一个提示说:您已购买此APP内购买项目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQAANz.html" rel="bookmark" class="title">poi的removeRow会报错</a>
					<div>
						问题描述 求大神解答,问题如题,报错为org.apache.xmlbeans.impl.values.XmlValueDisconnectedException 解决方案 解决方案二:同求解答.Cre ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z8Krp.html" rel="bookmark" class="title">数据科学家必知的7款Python工具</a>
					<div>
						如果你有志于做一个数据专家,你就应该保持一颗好奇心,总是不断探索,学习,问各种问题.在线入门教程和视频教程能帮你走出第一步,但是最好的方式就是通过熟悉各种已经在生产环境中使用的工具而为成为一个真正的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBJN8b.html" rel="bookmark" class="title">LG与YouTube合作 手机直接上传视频</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 LG电子某些型号的手机今年年底将添 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40AjNz.html" rel="bookmark" class="title">论策为大家列举网络营销常见的5个误解</a>
					<div>
						企业的网络营销不是孤立的,单一的,它必须从企业整体营销出发,需要强调网上与网下的整合互动.例如,企业网下的路演.促销等活动,可以在网站上同步进行宣传推广.同时,在网下活动中吸引到的人气,又可以将其转化 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBAevb.html" rel="bookmark" class="title">泛型静态方法后面的问题</a>
					<div>
						问题描述 泛型静态方法后面的问题 懂得朋友可以帮我一下吗,我不懂那一句是什么意思 解决方案 T是泛型,被约定为number类型 解决方案二: 哪里不懂? Info i = fun(30); fun这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjw1yM.html" rel="bookmark" class="title">洋手环铁心抱微信大腿，昂贵的Jawbone新品来了！</a>
					<div>
						    雷锋网2014年12月4日讯,全球发布一个月后,Jawbone将最新的UP MOVE和UP3带来了中国. 发布会开始之后,UP MOVE率先亮相,Jawbone定义其为入门级智能可穿戴设备,旨 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRx73p.html" rel="bookmark" class="title">设计软件-软件方法有哪些？？？</a>
					<div>
						问题描述 软件方法有哪些??? 比如软件统一过程(RUP).极限编程(XP).PSP.TSP.CMM 解决方案 scrum.敏捷,这些最主流的你都没提到. 解决方案二: APK反编译软件以及方法软件开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR1m3b.html" rel="bookmark" class="title">文档-做一个email系统，做个附件在线打开功能</a>
					<div>
						问题描述 做一个email系统,做个附件在线打开功能 做一个email系统,做个附件在线打开功能,怎么实现,求高人解答,可以调用本地机器上的对应软件么?还是用其他的,如果用其他的有没有详细的文档,谢谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRBvGp.html" rel="bookmark" class="title">例子证明用户需求很简单，复杂功能简单化</a>
					<div>
						摘要: 搞网站运营或者是优化,你的网站能够干什么,能够为用户服务什么,有哪些地方吸引了用户,如果这些没有搞清楚,就很难让网站获得忠诚用户,也很难让搜索引擎认为你的网站具有 搞网站运营或者是优化,你的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baB2NmM.html" rel="bookmark" class="title">消息称腾讯内测云产品微云 实现PC手机信息流互通</a>
					<div>
						1月12日消息,据网友爆料,腾讯正在内测一款云http://www.aliyun.com/zixun/aggregation/14307.html&quot;&gt;服务产品&quot;微云&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2vWvM.html" rel="bookmark" class="title">ajaxForm和ajaxSubmit 粘贴就可用示例代码&lowbar;AJAX相关</a>
					<div>
						复制代码 代码如下: &lt;!-- To change this template, choose Tools | Templates and open the template in the ed ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7kjVb.html" rel="bookmark" class="title">javascript的currying函数介绍&lowbar;javascript技巧</a>
					<div>
						最早期的curry函数有点多态的意味,就是根据函数参数在内部选用分支: 复制代码 代码如下: //http://www.openlaszlo.org/pipermail/laszlo-user/200 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7rrKb.html" rel="bookmark" class="title">如何让网站在搜索引擎中靠前的方法</a>
					<div>
						1.网站要有实际的内容,真正做到用心做站,能让浏览的人感觉网站确实有用,这样搜索引擎也会知道你的网站有用,毕竟搜索引擎的技术发展是以人为本的. 2.使用好网页头部的标签,这个挺有效果,也是最重要的.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1QZKb.html" rel="bookmark" class="title">c&num;如何从串口获得扫描枪中文数据</a>
					<div>
						问题描述 c#如何从串口获得二维码扫描枪中文数据 解决方案 解决方案二:这是扫描枪驱动干的事情吧.应该不需要你做.装好驱动后,用个文本框就可以收到扫描枪扫出来的数据了.解决方案三:统一发送编码.接收解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2Zv4M.html" rel="bookmark" class="title">Facebook尝试新的方法来发布开源项目</a>
					<div>
						上周,Facebook发布了Create React App,这个新项目旨在帮助React开发者快速上手其新项目.Create React App这个新项目只是一个开始,它也成为了Facebook在G ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgJnKz.html" rel="bookmark" class="title">gridview-索引超出范围问题急急急急急急急急急急</a>
					<div>
						问题描述 索引超出范围问题急急急急急急急急急急 GridView1.DataKeys[e.RowIndex].Value.ToString() 索引超出范围问题 解决方案 http://www.360 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPyaBp.html" rel="bookmark" class="title">数据仓库建设步骤</a>
					<div>
						数据仓库建设步骤 Posted on 2015-03-04 10:18 xuzhengzhu 阅读(1164) 评论(0) 编辑 收藏 1.系统分析,确定主题 确定一下几个因素:    ·操作出现的频 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wA7Az.html" rel="bookmark" class="title">《Clojure数据分析秘笈》&mdash;&mdash;1&period;12节整合不同格式的数据</a>
					<div>
						1.12 整合不同格式的数据如果能够从多种链接数据源整合数据,这样的作用很大,但是多数数据格式不适用于语义网.幸好链接数据灵活动态的数据模型有助于整合多源数据.在本方法中将结合前面的一些工作.从RDF ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
